<?php
/**
 * Joyce Dynamic Styles
 *
 * @package Joyce
 */
function joyce_dynamic_css()
{
    $joyce_default = joyce_get_default_theme_options();
    $homepage_cta_background_color = get_theme_mod('homepage_cta_background_color', $joyce_default['homepage_cta_background_color']);
    $homepage_cta_text_color = get_theme_mod('homepage_cta_text_color', $joyce_default['homepage_cta_text_color']);

    $category_title_bg_color = get_theme_mod('category_title_bg_color', $joyce_default['category_title_bg_color']);
    $category_title_text_color = get_theme_mod('category_title_text_color', $joyce_default['category_title_text_color']);

    $logo_width_range = get_theme_mod('logo_width_range', $joyce_default['logo_width_range']);

    $joyce_color_scheme = get_theme_mod('joyce_color_scheme', $joyce_default['joyce_color_scheme']);
    if ($joyce_color_scheme == 'dark') {
        $joyce_primary_color = $joyce_default['joyce_primary_color_dark'];
        $joyce_bg_color_1 = $joyce_default['joyce_bg_color_dark_1'];
        $joyce_bg_color_2 = $joyce_default['joyce_bg_color_dark_2'];
        $joyce_bg_color_3 = $joyce_default['joyce_bg_color_dark_3'];
        $joyce_bg_color_4 = $joyce_default['joyce_bg_color_dark_4'];
        $joyce_secondary_color = $joyce_default['joyce_secondary_color_dark'];
        $joyce_tertiary_color = $joyce_default['dark_tertiary_color'];
    } else {
        $joyce_primary_color = $joyce_default['joyce_primary_color'];
        $joyce_bg_color_1 = $joyce_default['joyce_bg_color_1'];
        $joyce_bg_color_2 = $joyce_default['joyce_bg_color_2'];
        $joyce_bg_color_3 = $joyce_default['joyce_bg_color_3'];
        $joyce_bg_color_4 = $joyce_default['joyce_bg_color_4'];
        $joyce_secondary_color = $joyce_default['joyce_secondary_color'];
        $joyce_tertiary_color = $joyce_default['default_tertiary_color'];
    }
    $background_color = get_theme_mod('background_color', $joyce_default['joyce_background_color']);
    $background_color = '#' . str_replace("#", "", $background_color);
    echo "<style type='text/css' media='all'>"; ?>
    .site-logo .custom-logo{
    max-width:  <?php echo esc_attr($logo_width_range); ?>px;
    }
    body{
    background-color: <?php echo esc_attr($background_color); ?>;
    }
    .theme-block-bg-1,
    .column-odd .theme-testimonial-article{
    background-color: <?php echo esc_attr($joyce_bg_color_1); ?>;
    }
    .theme-testimonial-article .column-order-2 .testimonial-content:before{
    border-right-color: <?php echo esc_attr($joyce_bg_color_1); ?>;
    }
    .theme-block-bg-2,
    .column-even .theme-testimonial-article{
    background-color: <?php echo esc_attr($joyce_bg_color_2); ?>;
    }
    .theme-testimonial-article .column-order-1 .testimonial-content:before{
    border-left-color: <?php echo esc_attr($joyce_bg_color_2); ?>;
    }
    .theme-block-bg-3{
    background-color: <?php echo esc_attr($joyce_bg_color_3); ?>;
    }
    .theme-block-bg-4{
    background-color: <?php echo esc_attr($joyce_bg_color_4); ?>;
    }
    body, button, input, select, optgroup, textarea, a{
    color: <?php echo esc_attr($joyce_primary_color); ?>;
    }
    .offcanvas-wraper,
    .header-searchbar-inner,
    .theme-banner-section,
    .site-info{
    background-color: <?php echo esc_attr($joyce_secondary_color); ?>;
    }
    a:hover,
    a:focus{
    color: <?php echo esc_attr($joyce_tertiary_color); ?>;
    }
    .menu-description,
    .continue-reading-btn > .btn-arrow,
    .continue-reading-btn:hover > .btn-arrow:before,
    .continue-reading-btn:hover > .btn-arrow:after,
    .continue-reading-btn:focus > .btn-arrow:before,
    .continue-reading-btn:focus > .btn-arrow:after{
    background-color: <?php echo esc_attr($joyce_tertiary_color); ?>;
    }
    .continue-reading-btn {
    border-color: <?php echo esc_attr($joyce_tertiary_color); ?>;
    }
    .menu-description:after {
    border-top-color: <?php echo esc_attr($joyce_tertiary_color); ?>;
    }
    .theme-block-cta{
    background-color: <?php echo esc_attr($homepage_cta_background_color); ?>;
    }
    .theme-block-cta .cta-panel,
    .theme-block-cta .cta-panel a{
    color: <?php echo esc_attr($homepage_cta_text_color); ?>;
    }
    .categories-panel-content .theme-block-title a{
    background-color: <?php echo esc_attr($category_title_bg_color); ?>;
    }
    .categories-panel-content .theme-block-title a:not(:hover):not(:focus){
    color: <?php echo esc_attr($category_title_text_color); ?>;
    }
    <?php echo "</style>";
}

add_action('wp_head', 'joyce_dynamic_css', 100);