<?php
/**
* Color Settings.
*
* @package Joyce
*/

$joyce_default = joyce_get_default_theme_options();

$wp_customize->add_section( 'color_scheme',
    array(
    'title'      => esc_html__( 'Color Scheme', 'joyce' ),
    'priority'   => 60,
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_colors_panel',
    )
);

// Color Scheme.
$wp_customize->add_setting(
    'joyce_color_scheme',
    array(
        'default' 			=> 'default',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_select'
    )
);
$wp_customize->add_control(
    new Joyce_Custom_Radio_Color_Scheme(
        $wp_customize,
        'joyce_color_scheme',
        array(
            'settings'      => 'joyce_color_scheme',
            'section'       => 'color_scheme',
            'label'         => esc_html__( 'Color Scheme', 'joyce' ),
            'choices'       => array(
                'default'  => array(
                	'color' => array($joyce_default['joyce_background_color'],$joyce_default['joyce_bg_color_1'],$joyce_default['joyce_bg_color_2'],$joyce_default['joyce_bg_color_3'],$joyce_default['joyce_bg_color_4'],$joyce_default['joyce_primary_color'],$joyce_default['joyce_secondary_color'],$joyce_default['default_tertiary_color']),
                	'title' => esc_html__('Default','joyce'),
                ),
                'dark'  => array(
                	'color' => array($joyce_default['joyce_background_color_dark'],$joyce_default['joyce_bg_color_dark_1'],$joyce_default['joyce_bg_color_dark_2'],$joyce_default['joyce_bg_color_dark_3'],$joyce_default['joyce_bg_color_dark_4'],$joyce_default['joyce_primary_color_dark'],$joyce_default['joyce_secondary_color_dark'],$joyce_default['dark_tertiary_color']),
                	'title' => esc_html__('Dark','joyce'),
                ),
            )
        )
    )
);

$wp_customize->add_setting( 'joyce_primary_color',
    array(
    'default'           => $joyce_default['joyce_primary_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'joyce_primary_color', 
    array(
        'label'      => __( 'Primary Color', 'joyce' ),
        'section'    => 'colors',
        'settings'   => 'joyce_primary_color',
    ) ) 
);

$wp_customize->add_setting( 'joyce_secondary_color',
    array(
    'default'           => $joyce_default['joyce_secondary_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'joyce_secondary_color', 
    array(
        'label'      => __( 'Secondary Color', 'joyce' ),
        'section'    => 'colors',
        'settings'   => 'joyce_secondary_color',
    ) ) 
);