<?php
/**
 * Default Values.
 *
 * @package Joyce
 */

if (!function_exists('joyce_get_default_theme_options')) :

    /**
     * Get default theme options
     *
     * @return array Default theme options.
     * @since 1.0.0
     *
     */
    function joyce_get_default_theme_options()
    {

        $joyce_defaults = array();
        $joyce_defaults['logo_width_range']      = 200;

        // Options.
        $joyce_defaults['joyce_pagination_layout'] = 'numeric';
        $joyce_defaults['footer_column_layout'] = 3;
        $joyce_defaults['footer_copyright_text'] = esc_html__('All rights reserved.', 'joyce');
        $joyce_defaults['ed_preloader'] = 1;
        $joyce_defaults['ed_cursor_option'] = 1;
        $joyce_defaults['ed_header_search'] = 1;
        $joyce_defaults['ed_related_post'] = 1;
        $joyce_defaults['twp_single_image_alignment'] = 'layout-1';
        $joyce_defaults['related_post_title'] = esc_html__('Related Post', 'joyce');
        $joyce_defaults['joyce_carousel_section_title'] = esc_html__('You may have missed', 'joyce');
        $joyce_defaults['twp_navigation_type'] = 'theme-normal-navigation';
        $joyce_defaults['ed_post_author'] = 1;
        $joyce_defaults['ed_post_date'] = 1;
        $joyce_defaults['ed_post_category'] = 1;
        $joyce_defaults['ed_post_tags'] = 1;
        $joyce_defaults['ed_floating_next_previous_nav'] = 1;
        $joyce_defaults['joyce_header_layout'] = 'layout-1';
        $joyce_defaults['ed_header_banner'] = 1;
        $joyce_defaults['ed_carousel_section'] = 0;
        $joyce_defaults['joyce_color_scheme'] = 'default';

        // header date and time
        $joyce_defaults['ed_header_date']           = 1;
        $joyce_defaults['ed_header_time']           = 1;
        $joyce_defaults['joyce_date_date_format']   = 'F jS, Y';

        // homepage about
        $joyce_defaults['ed_about_section']                      = 1;
        $joyce_defaults['about_section_title']                   =  esc_html__( 'About Us', 'joyce' );


        // homepage contact 
        $joyce_defaults['ed_contact_section']                       = 0;
        $joyce_defaults['contact_section_title']                    = esc_html__( 'Contact US', 'joyce' );
        $joyce_defaults['contact_short_info']                       = esc_html__( 'Send Us A Message', 'joyce' );
        $joyce_defaults['contact_section_location']                 = '';
        $joyce_defaults['contact_section_email']                    = '';
        $joyce_defaults['contact_section_number']                   = '';

        $joyce_defaults['ed_category_section']                   = 0;
        $joyce_defaults['ed_category_image_overlay']             = 1;
        $joyce_defaults['category_title_bg_color']             = '#000';
        $joyce_defaults['category_title_text_color']             = '#fff';

        // homepage testimonial
        $joyce_defaults['ed_testimonial_section']                   = 0;
        $joyce_defaults['number_of_testimonial']                    = 4;
        $joyce_defaults['testimonial_section_title']                = esc_html__( 'Customer Testimonials', 'joyce' );
        
        // homepage cta
        $joyce_defaults['ed_cta_section']                        = 0;
        $joyce_defaults['ed_cta_image_overlay']                  = 0;
        $joyce_defaults['cta_block_spacing']                  = 'theme-block-space-small';
        $joyce_defaults['cta_block_layout']                  = 'wrapper-fluid';
        $joyce_defaults['ed_cta_post_excerpt']                  = 0;
        $joyce_defaults['cta_link_tab']                          = 0;
        $joyce_defaults['homepage_cta_button_text']              =  esc_html__( 'View More', 'joyce' );
        $joyce_defaults['homepage_cta_button_text_url']          = '';
        $joyce_defaults['homepage_cta_text_color']              = '#fff';
        $joyce_defaults['homepage_cta_background_color']         = '#000';

        $joyce_defaults['joyce_background_color'] = '#fafafa';
        $joyce_defaults['joyce_bg_color_1'] = '#ffd9d1';
        $joyce_defaults['joyce_bg_color_2'] = '#f7d8c2';
        $joyce_defaults['joyce_bg_color_3'] = '#f5efe0';
        $joyce_defaults['joyce_bg_color_4'] = '#f6f2ed';
        $joyce_defaults['joyce_primary_color'] = '#000';
        $joyce_defaults['joyce_secondary_color'] = '#fff';
        $joyce_defaults['default_tertiary_color'] = '#586bb4';

        $joyce_defaults['joyce_background_color_dark'] = '#000';
        $joyce_defaults['joyce_bg_color_dark_1'] = '#2f2f2f';
        $joyce_defaults['joyce_bg_color_dark_2'] = '#484848';
        $joyce_defaults['joyce_bg_color_dark_3'] = '#161616';
        $joyce_defaults['joyce_bg_color_dark_4'] = '#0c0c0c';
        $joyce_defaults['joyce_primary_color_dark'] = '#fff';
        $joyce_defaults['joyce_secondary_color_dark'] = '#101010';
        $joyce_defaults['dark_tertiary_color'] = '#199900';

        $joyce_defaults['home_section_arrange_vals_4']                             =  'header_banner_setting,homepage_category_Section,homepage_about_Section,static_front_page,homepage_testimonial_Section,homepage_cta_Section,homepage_contact_Section,header_carousel_setting';

        // Pass through filter.
        $joyce_defaults = apply_filters('joyce_filter_default_theme_options', $joyce_defaults);

        return $joyce_defaults;

    }

endif;
