<?php
/**
* Header Options.
*
* @package Joyce
*/

$joyce_default = joyce_get_default_theme_options();

// Header Advertise Area Section.
$wp_customize->add_section( 'main_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'joyce' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);
// Enable Disable date.
$wp_customize->add_setting('ed_header_date',
    array(
        'default' => $joyce_default['ed_header_date'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_date',
    array(
        'label' => esc_html__('Enable Date', 'joyce'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'joyce_date_date_format',
    array(
    'default'           => $joyce_default['joyce_date_date_format'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'joyce_date_date_format',
    array(
    'label'       => esc_html__( 'Header Date Format', 'joyce' ),
    'section'     => 'main_header_setting',
    'type'        => 'text',
    )
);
// Enable Disable time.
$wp_customize->add_setting('ed_header_time',
    array(
        'default' => $joyce_default['ed_header_time'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_time',
    array(
        'label' => esc_html__('Enable Time/Clock', 'joyce'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);

// Enable Disable Search.
$wp_customize->add_setting('ed_header_search',
    array(
        'default' => $joyce_default['ed_header_search'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_search',
    array(
        'label' => esc_html__('Enable Search', 'joyce'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);

// Archive Layout.
$wp_customize->add_setting(
    'joyce_header_layout',
    array(
        'default'           => $joyce_default['joyce_header_layout'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_header_layout'
    )
);
$wp_customize->add_control(
    new Joyce_Custom_Radio_Image_Control( 
        $wp_customize,
        'joyce_header_layout',
        array(
            'settings'      => 'joyce_header_layout',
            'section'       => 'main_header_setting',
            'label'         => esc_html__( 'Header Layout', 'joyce' ),
            'choices'       => array(
                'layout-1'  => get_template_directory_uri() . '/assets/images/header-layout-1.png',
                'layout-2'  => get_template_directory_uri() . '/assets/images/header-layout-2.png',
            )
        )
    )
);

$wp_customize->add_setting('header_ad_image',
    array(
        'default' => '',
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control( new WP_Customize_Image_Control(
    $wp_customize,
    'header_ad_image',
        array(
            'label'      => esc_html__( 'Top Header AD Image', 'joyce' ),
            'section'    => 'main_header_setting',
            // 'active_callback' => 'joyce_header_ad_ac',
        )
    )
);

$wp_customize->add_setting('header_ad_image_link',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control('header_ad_image_link',
    array(
        'label' => esc_html__('AD Image Link Search', 'joyce'),
        'section' => 'main_header_setting',
        'type' => 'text',
    )
);