<?php
/**
* Header Banner Options.
*
* @package Joyce
*/

$joyce_default = joyce_get_default_theme_options();
$joyce_post_category_list = joyce_post_category_list();

$wp_customize->add_section( 'header_banner_setting',
    array(
    'title'      => esc_html__( 'Slider Banner Settings', 'joyce' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_home_pannel',
    )
);

$wp_customize->add_setting('ed_header_banner',
    array(
        'default' => $joyce_default['ed_header_banner'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_banner',
    array(
        'label' => esc_html__('Enable Slider Banner', 'joyce'),
        'section' => 'header_banner_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'joyce_header_banner_cat',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'joyce_sanitize_select',
    )
);
$wp_customize->add_control( 'joyce_header_banner_cat',
    array(
    'label'       => esc_html__( 'Slider Post Category', 'joyce' ),
    'section'     => 'header_banner_setting',
    'type'        => 'select',
    'choices'     => $joyce_post_category_list,
    )
);

$wp_customize->add_section( 'header_carousel_setting',
    array(
    'title'      => esc_html__( 'Carousel Section Settings', 'joyce' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_home_pannel',
    )
);

$wp_customize->add_setting('ed_carousel_section',
    array(
        'default' => $joyce_default['ed_carousel_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_carousel_section',
    array(
        'label' => esc_html__('Enable Carousel Section', 'joyce'),
        'section' => 'header_carousel_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'joyce_carousel_section_cat',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'joyce_sanitize_select',
    )
);
$wp_customize->add_control( 'joyce_carousel_section_cat',
    array(
    'label'       => esc_html__( 'Carousel Section Post Category', 'joyce' ),
    'section'     => 'header_carousel_setting',
    'type'        => 'select',
    'choices'     => $joyce_post_category_list,
    )
);

$wp_customize->add_setting('joyce_carousel_section_title',
    array(
        'default' => $joyce_default['joyce_carousel_section_title'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control('joyce_carousel_section_title',
    array(
        'label' => esc_html__('Section Title', 'joyce'),
        'section' => 'header_carousel_setting',
        'type' => 'text',
    )
);



// Homepage Category section settings.
$wp_customize->add_section( 'homepage_category_Section',
    array(
    'title'      => esc_html__( 'Category Section Settings', 'joyce' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_home_pannel',
    )
);

$wp_customize->add_setting('ed_category_section',
    array(
        'default' => $joyce_default['ed_category_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_category_section',
    array(
        'label' => esc_html__('Enable Category Section', 'joyce'),
        'section' => 'homepage_category_Section',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('ed_category_image_overlay',
    array(
        'default' => $joyce_default['ed_category_image_overlay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_category_image_overlay',
    array(
        'label' => esc_html__('Enable Category Image Overlay', 'joyce'),
        'section' => 'homepage_category_Section',
        'type' => 'checkbox',
    )
);

for ( $joyce_j=1; $joyce_j <=  3 ; $joyce_j++ ) {
    $wp_customize->add_setting('select_category_for_cat_list_'. $joyce_j,
        array(
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'absint',
        )
    );
    $wp_customize->add_control(new Joyce_Dropdown_Taxonomies_Control($wp_customize, 'select_category_for_cat_list_'. $joyce_j,
        array(
            'label'           => esc_html__('Category To List', 'joyce') . ' - ' . $joyce_j ,
            'section'         => 'homepage_category_Section',
            'type'            => 'dropdown-taxonomies',
            'taxonomy'        => 'category',

        )));
}

$wp_customize->add_setting( 'category_title_bg_color',
    array(
    'default'           => $joyce_default['category_title_bg_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'category_title_bg_color', 
    array(
        'label'      => esc_html__( 'Category Title Background Color', 'joyce' ),
        'section'    => 'homepage_category_Section',
        'settings'   => 'category_title_bg_color',
    ) ) 
);



$wp_customize->add_setting( 'category_title_text_color',
    array(
    'default'           => $joyce_default['category_title_text_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'category_title_text_color', 
    array(
        'label'      => esc_html__( 'Category Title Text Color', 'joyce' ),
        'section'    => 'homepage_category_Section',
        'settings'   => 'category_title_text_color',
    ) ) 
);


// Homepage About section settings.
$wp_customize->add_section( 'homepage_about_Section',
    array(
    'title'      => esc_html__( 'About Section Settings', 'joyce' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_home_pannel',
    )
);

$wp_customize->add_setting('ed_about_section',
    array(
        'default' => $joyce_default['ed_about_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_about_section',
    array(
        'label' => esc_html__('Enable About Section', 'joyce'),
        'section' => 'homepage_about_Section',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('about_section_title',
    array(
        'default'           => $joyce_default['about_section_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('about_section_title',
    array(
        'label'       => esc_html__('About Section Title', 'joyce'),
        'section'     => 'homepage_about_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting( 'select_page_for_about', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'joyce_sanitize_dropdown_pages',
) );

$wp_customize->add_control( 'select_page_for_about', array(
    'label'             => __( 'Select About Page', 'joyce' ) ,
    'section'           => 'homepage_about_Section',
    'type'              => 'dropdown-pages',
    'allow_addition' => true,
    )
);




// Homepage testimonail section settings.
$wp_customize->add_section( 'homepage_testimonial_Section',
    array(
    'title'      => esc_html__( 'Testimonial Section Settings', 'joyce' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_home_pannel',
    )
);

$wp_customize->add_setting('ed_testimonial_section',
    array(
        'default' => $joyce_default['ed_testimonial_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_testimonial_section',
    array(
        'label' => esc_html__('Enable Testimonial Section', 'joyce'),
        'section' => 'homepage_testimonial_Section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('testimonial_section_title',
    array(
        'default'           => $joyce_default['testimonial_section_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('testimonial_section_title',
    array(
        'label'       => esc_html__('Section Title', 'joyce'),
        'section'     => 'homepage_testimonial_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting( 'number_of_testimonial',
    array(
        'default'           => $joyce_default['number_of_testimonial'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_select',
    )
);
$wp_customize->add_control( 'number_of_testimonial',
    array(
        'label'    => esc_html__( 'Select no of slider', 'joyce' ),
        'description'     => esc_html__( 'Please refresh to get actual no of page field below', 'joyce' ),
        'section'  => 'homepage_testimonial_Section',
        'choices'               => array(
            '1' => esc_html__( '1', 'joyce' ),
            '2' => esc_html__( '2', 'joyce' ),
            '3' => esc_html__( '3', 'joyce' ),
            '4' => esc_html__( '4', 'joyce' ),
            '5' => esc_html__( '5', 'joyce' ),
            '6' => esc_html__( '6', 'joyce' ),
            ),
        'type'     => 'select',
    )
);

$testimonial_number = get_theme_mod( 'number_of_testimonial', $joyce_default['number_of_testimonial'] );
for ( $joyce_i=1; $joyce_i <=  $testimonial_number ; $joyce_i++ ) {
    $wp_customize->add_setting( 'select_page_for_testimonial_'. $joyce_i, array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_dropdown_pages',
    ) );

    $wp_customize->add_control( 'select_page_for_testimonial_'. $joyce_i, array(
        'input_attrs'       => array(
            'style'           => 'width: 50px;'
            ),
        'label'             => __( 'Select Testimonial Page', 'joyce' ) . ' - ' . $joyce_i ,
        'section'           => 'homepage_testimonial_Section',
        'type'              => 'dropdown-pages',
        'allow_addition' => true,
        )
    );
}

// Homepage Contact section settings.
$wp_customize->add_section( 'homepage_contact_Section',
    array(
    'title'      => esc_html__( 'Contact Section Settings', 'joyce' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_home_pannel',
    )
);

$wp_customize->add_setting('ed_contact_section',
    array(
        'default' => $joyce_default['ed_contact_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_contact_section',
    array(
        'label' => esc_html__('Enable Contact Section', 'joyce'),
        'section' => 'homepage_contact_Section',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('contact_section_title',
    array(
        'default'           => $joyce_default['contact_section_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('contact_section_title',
    array(
        'label'       => esc_html__('Section Title', 'joyce'),
        'section'     => 'homepage_contact_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('contact_short_info',
    array(
        'default'           => $joyce_default['contact_short_info'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('contact_short_info',
    array(
        'label'       => esc_html__('Section short Info', 'joyce'),
        'section'     => 'homepage_contact_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('contact_section_location',
    array(
        'default'           => $joyce_default['contact_section_location'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('contact_section_location',
    array(
        'label'       => esc_html__('Contact Location', 'joyce'),
        'section'     => 'homepage_contact_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('contact_section_email',
    array(
        'default'           => $joyce_default['contact_section_email'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('contact_section_email',
    array(
        'label'       => esc_html__('Contact Email', 'joyce'),
        'section'     => 'homepage_contact_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('contact_section_number',
    array(
        'default'           => $joyce_default['contact_section_number'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('contact_section_number',
    array(
        'label'       => esc_html__('Contact Number', 'joyce'),
        'section'     => 'homepage_contact_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('contact_section_bg_image',
    array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_image',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control($wp_customize, 'contact_section_bg_image',
        array(
            'label'       => esc_html__('Upload Section Background Image ', 'joyce'),
            'section'     => 'homepage_contact_Section',
        )
    )
);

$wp_customize->add_setting('contact_form_shortcode',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('contact_form_shortcode',
    array(
        'label' => esc_html__('Contact Form Shortcode', 'joyce'),
        'section' => 'homepage_contact_Section',
        'type' => 'textarea',
    )
);


// Homepage CTA section settings.
$wp_customize->add_section( 'homepage_cta_Section',
    array(
    'title'      => esc_html__( 'CTA Section Settings', 'joyce' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_home_pannel',
    )
);

$wp_customize->add_setting('ed_cta_section',
    array(
        'default' => $joyce_default['ed_cta_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_cta_section',
    array(
        'label' => esc_html__('Enable CTA Section', 'joyce'),
        'section' => 'homepage_cta_Section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'select_page_for_cta', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'joyce_sanitize_dropdown_pages',
) );

$wp_customize->add_control( 'select_page_for_cta', array(
    'label'             => __( 'Select Call To Action Page', 'joyce' ) ,
    'section'           => 'homepage_cta_Section',
    'type'              => 'dropdown-pages',
    'allow_addition' => true,
    )
);


$wp_customize->add_setting( 'cta_block_spacing',
    array(
        'default'           => $joyce_default['cta_block_spacing'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_select',
    )
);
$wp_customize->add_control( 'cta_block_spacing',
    array(
        'label'    => esc_html__( 'Select Spacing for CTA Block', 'joyce' ),
        'section'  => 'homepage_cta_Section',
        'choices'               => array(
            'theme-block-space-no' => esc_html__( 'No Spacing', 'joyce' ),
            'theme-block-space-small' => esc_html__( 'Small Spacing', 'joyce' ),
            'theme-block-space-large' => esc_html__( 'Large Spacing', 'joyce' ),
            ),
        'type'     => 'select',
    )
);

$wp_customize->add_setting( 'cta_block_layout',
    array(
        'default'           => $joyce_default['cta_block_layout'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_select',
    )
);
$wp_customize->add_control( 'cta_block_layout',
    array(
        'label'    => esc_html__( 'Select CTA Block Layout', 'joyce' ),
        'section'  => 'homepage_cta_Section',
        'choices'               => array(
            'wrapper' => esc_html__( 'Block Layout', 'joyce' ),
            'wrapper-fluid' => esc_html__( 'full-width Layout', 'joyce' ),
            ),
        'type'     => 'select',
    )
);

$wp_customize->add_setting('ed_cta_image_overlay',
    array(
        'default' => $joyce_default['ed_cta_image_overlay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_cta_image_overlay',
    array(
        'label' => esc_html__('Enable Section Overlay', 'joyce'),
        'section' => 'homepage_cta_Section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_cta_post_excerpt',
    array(
        'default' => $joyce_default['ed_cta_post_excerpt'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_cta_post_excerpt',
    array(
        'label' => esc_html__('Enable CTA Excerpt Content', 'joyce'),
        'section' => 'homepage_cta_Section',
        'type' => 'checkbox',
    )
);

/*Button Text*/
$wp_customize->add_setting('homepage_cta_button_text',
    array(
        'default'           => $joyce_default['homepage_cta_button_text'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('homepage_cta_button_text',
    array(
        'label'       => esc_html__('Related Post Button Text', 'joyce'),
        'description' => esc_html__('Removing text will disable read more on the related post', 'joyce'),
        'section'     => 'homepage_cta_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('homepage_cta_button_text_url',
    array(
        'default'           => $joyce_default['homepage_cta_button_text_url'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control('homepage_cta_button_text_url',
    array(
        'label'       => esc_html__('Related Post Button URL', 'joyce'),
        'section'     => 'homepage_cta_Section',
        'type'        => 'text',
    )
);
$wp_customize->add_setting('cta_link_tab',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'joyce_sanitize_checkbox',
    )
);

$wp_customize->add_control('cta_link_tab',
    array(
        'label' => esc_html__('Open Link In New Tab', 'joyce'),
        'section' => 'homepage_cta_Section',
        'type' => 'checkbox',
    )
 );

$wp_customize->add_setting( 'homepage_cta_background_color',
    array(
    'default'           => $joyce_default['homepage_cta_background_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'homepage_cta_background_color', 
    array(
        'label'      => esc_html__( 'Section Background Color', 'joyce' ),
        'section'    => 'homepage_cta_Section',
        'settings'   => 'homepage_cta_background_color',
    ) ) 
);

$wp_customize->add_setting( 'homepage_cta_text_color',
    array(
    'default'           => $joyce_default['homepage_cta_text_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'homepage_cta_text_color', 
    array(
        'label'      => esc_html__( 'Section Text Color', 'joyce' ),
        'section'    => 'homepage_cta_Section',
        'settings'   => 'homepage_cta_text_color',
    ) ) 
);

