<?php
/**
 * Pagination Settings
 *
 * @package Joyce
 */

$joyce_default = joyce_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'joyce_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'joyce' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'joyce_pagination_layout',
	array(
	'default'           => $joyce_default['joyce_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'joyce_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'joyce' ),
	'section'     => 'joyce_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','joyce'),
		'numeric' => esc_html__('Numeric Method','joyce'),
		'load-more' => esc_html__('Ajax Load More Button','joyce'),
		'auto-load' => esc_html__('Ajax Auto Load','joyce'),
	),
	)
);