<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Joyce
 * @since 1.0.0
 */

get_header();
global $joyce_order_class_1, $joyce_order_class_2; ?>

<?php if ( is_paged()) { ?>

    <div class="theme-block theme-block-space-small theme-block-blog">
        <div class="wrapper">
            <div class="column-row">

                <div id="primary" class="content-area">
                    <main id="site-content" role="main">

                        <?php

                        if( !is_front_page() ) {
                            joyce_breadcrumb();
                        }

                        if( have_posts() ): ?>

                            <div class="article-wraper">
                                <?php
                                $post_count = 1;
                                while( have_posts() ):
                                    the_post();

                                    if( $post_count == 1 ){
                                        $joyce_order_class_1 = 'column-order-1';
                                        $joyce_order_class_2 = 'column-order-2';
                                    }else{
                                        $joyce_order_class_1 = 'column-order-2';
                                        $joyce_order_class_2 = 'column-order-1';
                                    }

                                    get_template_part( 'template-parts/content', get_post_format() );

                                    $post_count++;
                                    if( $post_count == 3 ){
                                        $post_count = 1;
                                    }

                                endwhile; ?>
                            </div>

                            <?php
                            if( is_search() ){
                                the_posts_pagination();
                            }else{
                                do_action('joyce_archive_pagination');
                            }

                        else :

                            get_template_part('template-parts/content', 'none');

                        endif; ?>
                    </main><!-- #main -->
                </div>

            </div>
        </div>
    </div>
<?php } else {

    $joyce_default = joyce_get_default_theme_options();
    $home_section_arrange_valsue = get_theme_mod( 'home_section_arrange_vals_4', $joyce_default['home_section_arrange_vals_4'] );
    $home_section_arrange_valsue = explode(",",$home_section_arrange_valsue );

    $paged_active = false;
    if ( !is_paged() ) {
        $paged_active = true;
    }

    foreach( $home_section_arrange_valsue as $home_section_reorder ){


        switch( $home_section_reorder ){

            case 'header_banner_setting':

                if( $paged_active ){
                    joyce_main_slider();
                }

            break;

            case 'homepage_category_Section':

                if( $paged_active ){
                    joyce_category_section();
                }

            break;

            case 'homepage_about_Section':

                if( $paged_active ){
                    joyce_about_section();
                }

            break;
            
            case 'static_front_page':

                if( $paged_active ){ ?>

                    <div class="theme-block theme-block-space-small theme-block-blog">
                        <div class="wrapper">
                            <div class="column-row">

                                <div id="primary" class="content-area">
                                    <main id="site-content" role="main">

                                        <?php

                                        if( !is_front_page() ) {
                                            joyce_breadcrumb();
                                        }

                                        if( have_posts() ): ?>

                                            <div class="article-wraper">
                                                <?php
                                                $post_count = 1;
                                                while( have_posts() ):
                                                    the_post();

                                                    if( $post_count == 1 ){
                                                        $joyce_order_class_1 = 'column-order-1';
                                                        $joyce_order_class_2 = 'column-order-2';
                                                    }else{
                                                        $joyce_order_class_1 = 'column-order-2';
                                                        $joyce_order_class_2 = 'column-order-1';
                                                    }

                                                    get_template_part( 'template-parts/content', get_post_format() );

                                                    $post_count++;
                                                    if( $post_count == 3 ){
                                                        $post_count = 1;
                                                    }

                                                endwhile; ?>
                                            </div>

                                            <?php
                                            if( is_search() ){
                                                the_posts_pagination();
                                            }else{
                                                do_action('joyce_archive_pagination');
                                            }

                                        else :

                                            get_template_part('template-parts/content', 'none');

                                        endif; ?>
                                    </main><!-- #main -->
                                </div>

                            </div>
                        </div>
                    </div>
                <?php }

            break;

            case 'homepage_testimonial_Section':
                if( $paged_active ){
                    joyce_testimonial_section();
                }

            break;

            case 'homepage_cta_Section':

                if( $paged_active ){
                    joyce_cta_section();
                }

            break;
            
            case 'homepage_contact_Section':

                if( $paged_active ){
                    joyce_contact_section();
                }

            break;

        }

    } 
}


get_footer();
