<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Joyce
 */
get_header();
global $joyce_order_class_1, $joyce_order_class_2; ?>
<div class="twp-banner-details">
    <div class="wrapper">
        <header class="page-header">
            <?php 
            if( !is_front_page() ) {
                joyce_breadcrumb();
            } ?>
            <h1 class="page-title joyce-section-title-style-1">
                <span>
                    <?php
                    /* translators: %s: search query. */
                    printf( esc_html__( 'Search Results for: %s', 'joyce' ), '<span>' . get_search_query() . '</span>' );
                    ?>
                </span>
            </h1>
        </header>
    </div>
</div>

    <div class="theme-block theme-block-space-small theme-block-blog">
        <div class="wrapper">
            <div class="column-row">

                <div id="primary" class="content-area">
                    <main id="site-content" role="main">

                        <?php

                        if( have_posts() ): ?>

                            <div class="article-wraper">
                                <?php
                                $post_count = 1;
                                while( have_posts() ):
                                    the_post();

                                    if( $post_count == 1 ){
                                        $joyce_order_class_1 = 'column-order-1';
                                        $joyce_order_class_2 = 'column-order-2';
                                    }else{
                                        $joyce_order_class_1 = 'column-order-2';
                                        $joyce_order_class_2 = 'column-order-1';
                                    }

                                    get_template_part( 'template-parts/content', get_post_format() );

                                    $post_count++;
                                    if( $post_count == 3 ){
                                        $post_count = 1;
                                    }

                                endwhile; ?>
                            </div>

                            <?php
                            if( is_search() ){
                                the_posts_pagination();
                            }else{
                                do_action('joyce_archive_pagination');
                            }

                        else :

                            get_template_part('template-parts/content', 'none');

                        endif; ?>
                    </main><!-- #main -->
                </div>

            </div>
        </div>
    </div>

    <?php
    get_footer();
