<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Joyce
 * @since 1.0.0
 */

$joyce_default = joyce_get_default_theme_options();
$joyce_ed_feature_image = esc_html( get_post_meta( get_the_ID(), 'joyce_ed_feature_image', true ) );
$joyce_ed_post_views = esc_html( get_post_meta( get_the_ID(), 'joyce_ed_post_views', true ) );
$joyce_ed_post_read_time = esc_html( get_post_meta( get_the_ID(), 'joyce_ed_post_read_time', true ) );
$joyce_ed_post_like_dislike = esc_html( get_post_meta( get_the_ID(), 'joyce_ed_post_like_dislike', true ) );
$joyce_ed_post_author_box = esc_html( get_post_meta( get_the_ID(), 'joyce_ed_post_author_box', true ) );
$joyce_ed_post_social_share = esc_html( get_post_meta( get_the_ID(), 'joyce_ed_post_social_share', true ) );
$joyce_ed_post_reaction = esc_html( get_post_meta( get_the_ID(), 'joyce_ed_post_reaction', true ) );

if( $joyce_ed_post_views ){ joyce_disable_post_views(); }
if( $joyce_ed_post_read_time ){ joyce_disable_post_read_time(); }
if( $joyce_ed_post_like_dislike ){ joyce_disable_post_like_dislike(); }
if( $joyce_ed_post_author_box ){ joyce_disable_post_author_box(); }
if( $joyce_ed_post_reaction ){ joyce_disable_post_reaction(); }
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>> 

	<?php

	$joyce_default = joyce_get_default_theme_options();

	$twp_single_image_alignment = get_post_meta(get_the_ID(), 'joyce_single_image_layout', true);
	if (empty($twp_single_image_alignment)) {
	    $twp_single_image_alignment = get_theme_mod('twp_single_image_alignment', $joyce_default['twp_single_image_alignment']);
	}
	if ($twp_single_image_alignment == 'layout-1') { ?>
		<?php if( has_post_thumbnail() ){
			if( empty( $joyce_ed_feature_image ) ){ ?>
				<div class="post-thumbnail">
					<?php joyce_post_thumbnail(); ?>
				</div>
			<?php
			}
		} ?>
		<header class="entry-header entry-header-1">
			<h1 class="entry-title entry-title-large">
	            <?php the_title(); ?>
	        </h1>
		</header>
		<?php 
		if( is_single() && 'post' === get_post_type() ){ ?>
			<div class="entry-meta">
				<?php
				joyce_posted_by();
				joyce_posted_on();
				joyce_entry_footer( $cats = true, $tags = false, $edits = false );
				?>
			</div>
		<?php } ?>
	<?php } ?>
	
	<div class="post-content-wrap <?php if( 'post' != get_post_type() || $joyce_ed_post_social_share || !class_exists( 'Booster_Extension_Class' ) ){ echo 'twp-no-social-share'; } ?>">

		<?php if( is_singular() && empty( $joyce_ed_post_social_share ) && class_exists( 'Booster_Extension_Class' ) && 'post' === get_post_type() ){ ?>

			<div class="post-content-share">
				<?php echo do_shortcode('[booster-extension-ss layout="layout-1" status="enable"]'); ?>
			</div>

		<?php } ?>

		<div class="post-content">

			<div class="entry-content">

				<?php
				the_content( sprintf(
					/* translators: %s: Name of current post. */
					wp_kses( __( 'Read More %s <span class="meta-nav">&rarr;</span>', 'joyce' ), array( 'span' => array( 'class' => array() ) ) ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				) );

				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'joyce' ),
					'after'  => '</div>',
				) ); ?>

			</div>

			<?php
			if ( is_singular() && 'post' === get_post_type() ){ ?>

				<div class="entry-footer">
                    <div class="entry-meta">
                        <?php joyce_entry_footer( $cats = false, $tags = true, $edits = true ); ?>
                    </div>
				</div>

			<?php } ?>

		</div>

	</div>

</article>