<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Joyce
 * @since 1.0.0
 */
$joyce_default = joyce_get_default_theme_options();
$image_size = 'large';
global $joyce_order_class_1, $joyce_order_class_2; ?>
<article id="post-<?php the_ID(); ?>" <?php post_class('theme-article-post'); ?>>
    <div class="column-row">
        <div class="column column-8 column-sm-12  <?php echo esc_attr($joyce_order_class_1); ?>" data-aos="zoom-in">
            <?php
            if (is_search() || is_archive() || is_front_page()) {
                $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'large'); ?>
                <div class="post-thumbnail data-bg data-bg-big twp-ani-control"
                     data-background="<?php echo esc_url($featured_image[0]); ?>">
                    <a href="<?php the_permalink(); ?>" class="theme-responsive-image" tabindex="0"></a>
                </div>
                <?php
            } else {
                joyce_post_thumbnail($image_size);
            } ?>
        </div>
        <div class="column column-4 column-sm-12 <?php echo esc_attr($joyce_order_class_2); ?>" >
            <div class="post-content">
                <header class="entry-header">
                    <h2 class="entry-title entry-title-big">
                        <a href="<?php the_permalink(); ?>" rel="bookmark">
                            <?php the_title(); ?>
                        </a>
                    </h2>
                    <div class="entry-meta">
                        <?php
                        joyce_posted_by();
                        joyce_posted_on();
                        ?>
                    </div>
                </header>
                <div class="entry-content">
                    <?php
                    if (has_excerpt()) {
                        the_excerpt();
                    } else {
                        echo '<p>';
                        echo esc_html(wp_trim_words(get_the_content(), 25, '...'));
                        echo '</p>';
                    }
                    wp_link_pages(array(
                        'before' => '<div class="page-links">' . esc_html__('Pages:', 'joyce'),
                        'after' => '</div>',
                    )); ?>
                </div>
                <a href="<?php the_permalink(); ?>" rel="bookmark" class="continue-reading-btn">
                    <span class="btn-arrow"></span>
                    <span class="btn-arrow-text"><?php esc_html_e('Read More', 'joyce'); ?></span>
                </a>
            </div>
        </div>
    </div>
    <hr class="styled-separator styled-separator-bottom" aria-hidden="true">
</article>