<?php
/**
 * Header Layout 2
 *
 * @package Joyce
 */
$joyce_default = joyce_get_default_theme_options();
?>

<header id="site-header" class="site-header-layout header-layout-2" role="banner">
    <div class="header-navbar">
        <div class="wrapper header-wrapper">
            <div class="navbar-item navbar-item-left">
                <div class="header-branding-area">
                    <div class="header-titles">
                        <?php
                        // Site title or logo.
                        joyce_site_logo();
                        // Site description.
                        joyce_site_description();
                        ?>
                    </div><!-- .header-titles -->

                    <div class="header-date-clock">
                    <?php
                    $ed_header_date = get_theme_mod( 'ed_header_date', $joyce_default['ed_header_date'] );
                    $ed_header_time = get_theme_mod( 'ed_header_time', $joyce_default['ed_header_time'] );
                    $joyce_date_date_format = get_theme_mod( 'joyce_date_date_format', $joyce_default['joyce_date_date_format'] );

                    if ($ed_header_date) {
                     ?>
                        <div class="theme-date-clock theme-infos-date">
                            <span class="theme-infos-icon"><?php joyce_the_theme_svg('calendar-full'); ?></span>
                            <span class="theme-infos-label"><?php echo esc_html(date( esc_attr($joyce_date_date_format))); ?></span>
                        </div>
                    <?php } ?>
                    <?php if ($ed_header_time) { ?>
                        <div class="theme-date-clock theme-infos-clock">
                            <span class="theme-infos-icon"><?php joyce_the_theme_svg('clock'); ?></span>
                            <span class="theme-infos-label">
                                <span id="twp-time-clock"></span>
                            </span>
                        </div>
                    <?php } ?>
                    </div>
                </div>
            </div><!-- .navbar-item-left -->

            <div class="navbar-item navbar-item-right">

                <div class="site-navigation">
                
                    <div class="wrapper">
                        <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'joyce'); ?>" role="navigation">
                            <ul class="primary-menu theme-menu">

                                <?php
                                if( has_nav_menu('joyce-primary-menu') ){

                                    wp_nav_menu(
                                        array(
                                            'container' => '',
                                            'items_wrap' => '%3$s',
                                            'theme_location' => 'joyce-primary-menu',
                                            'walker' => new joyce\Joyce_Walkernav(),
                                        )
                                    );

                                }else{

                                    wp_list_pages(
                                        array(
                                            'match_menu_classes' => true,
                                            'show_sub_menu_icons' => true,
                                            'title_li' => false,
                                            'walker' => new Joyce_Walker_Page(),
                                        )
                                    );

                                } ?>

                            </ul>
                        </nav><!-- .primary-menu-wrapper -->
                    </div>
                </div><!-- .site-navigation -->

                <div class="navbar-controls twp-hide-js">



                    <button type="button" class="navbar-control navbar-control-offcanvas">
                         <span class="navbar-control-trigger" tabindex="-1">
                            <?php joyce_the_theme_svg('menu'); ?>
                         </span>
                    </button>

                    <?php
                    $ed_header_search = get_theme_mod( 'ed_header_search', $joyce_default['ed_header_search'] );
                    if( $ed_header_search ){ ?>

                        <button type="button" class="navbar-control navbar-control-search">
                            <span class="navbar-control-trigger" tabindex="-1">
                                <?php joyce_the_theme_svg('search'); ?>
                            </span>
                        </button>

                    <?php } ?>
                </div>

            </div><!-- .navbar-item-right -->
        </div>
    </div>

</header><!-- #site-header -->
